#include "menu.hpp"

APP_MENU MENU 
BEGIN
	POPUP "&File"
	BEGIN
		MENUITEM "&New",              CM_FILENEW
		MENUITEM "&Open...",          CM_FILEOPEN
		MENUITEM "&Save",             CM_FILESAVE
		MENUITEM "Save &as...",       CM_FILESAVEAS
		MENUITEM SEPARATOR
		MENUITEM "&Print...",         CM_FILEPRINT
		MENUITEM "Page se&tup...",    CM_FILEPAGE_SETUP
		MENUITEM "P&rinter setup...", CM_FILEPRINTER_SETUP
		MENUITEM SEPARATOR
		MENUITEM "E&xit",             CM_FILEEXIT
	END

	POPUP "&Edit"
	BEGIN
		MENUITEM "&Undo\tCtrl+Z",     CM_EDITUNDO
		MENUITEM "&Cut\tCtrl+X",      CM_EDITCUT
		MENUITEM "&Copy\tCtrl+C",     CM_EDITCOPY
		MENUITEM "&Paste\tCtrl+V",    CM_EDITPASTE
	END

	POPUP "&Help"
	BEGIN
		MENUITEM "&Index\tF1",  CM_HELPINDEX,      INACTIVE
		MENUITEM "&Keyboard",   CM_HELPKEYBOARD,   INACTIVE
		MENUITEM "&Commands",   CM_HELPCOMMANDS,   GRAYED
		MENUITEM "&Procedures", CM_HELPPROCEDURES, GRAYED
		MENUITEM "&Using help", CM_HELPUSING_HELP, GRAYED
		MENUITEM SEPARATOR
		MENUITEM "&About...",   CM_HELPABOUT
	END
END

